# Class DrawRenderer

java.lang.Object
org.jmol.render.ShapeRenderer
org.jmol.render.MeshRenderer
org.jmol.renderspecial.DrawRenderer

Direct Known Subclasses:
  `CGORenderer`

public class DrawRenderer extends MeshRenderer

## Field Summary

Fields
Modifier and Type
Field
Description
`protected DrawMesh`
`dmesh`
`protected P3`
`pt0`
`protected P3i`
`pt0i`
`protected P3`
`pt1`
`protected P3`
`pt2`
`protected final V3`
`vTemp`
`protected final V3`
`vTemp2`

### Fields inherited from class MeshRenderer

`allowDashed, antialias, bsPolygons, bsPolygonsToExport, diameter, exportPass, forceShowTriangles, frontOnly, haveBsDisplay, imageFontScaling, isGhostPass, isShell, isTranslucent, isTranslucentInherit, latticeOffset, mesh, meshSlabValue, needTranslucent, normixes, p3Screens, pt1f, pt1i, pt2f, pt2i, pt3i, renderLow, scalePixelsPerMicron, screens, selectedPolyOnly, thePlane, transformedVectors, vertexCount, vertices, volumeRender, width`

### Fields inherited from class ShapeRenderer

`colix, exportType, flags, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

## Constructor Summary

Constructors
Constructor
Description
`DrawRenderer()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`isPolygonDisplayable(int i)`
`protected boolean`
`render()`
`protected void`
`render2(boolean isExport)`
Overridden in DrawRenderer and IsosurfaceRenderer

### Methods inherited from class MeshRenderer

`checkFront, drawEdge, drawTriangle, exportSurface, isVisibleNormix, render2b, renderMesh2, renderPoints, renderTriangles, setColix`

### Methods inherited from class ShapeRenderer

`initRenderer, isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dmesh

protected DrawMesh dmesh

### pt0

protected P3 pt0

### pt1

protected P3 pt1

### pt2

protected P3 pt2

### vTemp

protected final V3 vTemp

### vTemp2

protected final V3 vTemp2

### pt0i

protected P3i pt0i

## Constructor Details

### DrawRenderer

public DrawRenderer()

## Method Details

### render

protected boolean render()

Specified by:
  `render` in class `ShapeRenderer`

### isPolygonDisplayable

protected boolean isPolygonDisplayable(int i)

Overrides:
  `isPolygonDisplayable` in class `MeshRenderer`
Parameters:
  `i` -
Returns:
  T/F

### render2

protected void render2(boolean isExport)
Description copied from class: `MeshRenderer`
Overridden in DrawRenderer and IsosurfaceRenderer

Overrides:
  `render2` in class `MeshRenderer`
Parameters:
  `isExport` -